<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Credenciamento.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.domain</a> &gt; <span class="el_source">Credenciamento.java</span></div><h1>Credenciamento.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.domain;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;
import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Objects;

import br.edu.unifacisa.lti.domain.enumeration.StatusCredenciamento;

import br.edu.unifacisa.lti.domain.enumeration.TipoEmpresa;

/**
 * A Credenciamento.
 */
@Entity
@Table(name = &quot;credenciamento&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L21">public class Credenciamento implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @NotNull
    @Column(name = &quot;nome_completo&quot;, nullable = false)
    private String nomeCompleto;

    @NotNull
    @Column(name = &quot;nome_resumido&quot;, nullable = false)
    private String nomeResumido;

    @NotNull
    @Column(name = &quot;email&quot;, nullable = false)
    private String email;

    @NotNull
    @Column(name = &quot;funcao&quot;, nullable = false)
    private String funcao;

    @Enumerated(EnumType.STRING)
    @Column(name = &quot;status_credenciamento&quot;)
    private StatusCredenciamento statusCredenciamento;

    @NotNull
    @Column(name = &quot;cep&quot;, nullable = false)
    private String cep;

    @NotNull
    @Column(name = &quot;rua&quot;, nullable = false)
    private String rua;

    @NotNull
    @Column(name = &quot;numero&quot;, nullable = false)
    private String numero;

    @Column(name = &quot;complemento&quot;)
    private String complemento;

    @NotNull
    @Column(name = &quot;cidade&quot;, nullable = false)
    private String cidade;

    @NotNull
    @Column(name = &quot;uf&quot;, nullable = false)
    private String uf;

   
    @Column(name = &quot;telefone_residencial&quot;, nullable = true)
    private String telefoneResidencial;

    @NotNull
    @Column(name = &quot;celular&quot;, nullable = false)
    private String celular;

    
    @Column(name = &quot;whats_app&quot;, nullable = true)
    private String whatsApp;

    @NotNull
    @Column(name = &quot;nome_empresa&quot;, nullable = false)
    private String nomeEmpresa;

    @NotNull
    @Column(name = &quot;cnpj&quot;, nullable = false)
    private String cnpj;

    @NotNull
    @Column(name = &quot;cep_empresa&quot;, nullable = false)
    private String cepEmpresa;

    @NotNull
    @Column(name = &quot;endereco_sede&quot;, nullable = false)
    private String enderecoSede;

    @NotNull
    @Column(name = &quot;telefone_sede&quot;, nullable = false)
    private String telefoneSede;

    @NotNull
    @Enumerated(EnumType.STRING)
    @Column(name = &quot;tipo_empresa&quot;, nullable = false)
    private TipoEmpresa tipoEmpresa;

    @NotNull
    @Column(name = &quot;email_institucional&quot;, nullable = false)
    private String emailInstitucional;

    @NotNull
    @Column(name = &quot;gerente_setor_ou_profissional_responsavel&quot;, nullable = false)
    private String gerenteSetorOuProfissionalResponsavel;

    @NotNull
    @Column(name = &quot;telefone&quot;, nullable = false)
    private String telefone;

    @NotNull
    @Column(name = &quot;identidade&quot;, nullable = false)
    private String identidade;

    @NotNull
    @Column(name = &quot;orgao_emissor&quot;, nullable = false)
    private String orgaoEmissor;

    @NotNull
    @Column(name = &quot;cpf&quot;, nullable = false)
    private String cpf;

    @Column(name = &quot;drt&quot;, nullable = true)
    private String drt;

    @NotNull
    @Lob
    @Column(name = &quot;foto&quot;, nullable = false)
    private byte[] foto;

    @Column(name = &quot;foto_content_type&quot;, nullable = false)
    private String fotoContentType;

    public Long getId() {
<span class="fc" id="L145">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L149">        this.id = id;</span>
<span class="fc" id="L150">    }</span>

    public String getNomeCompleto() {
<span class="fc" id="L153">        return nomeCompleto;</span>
    }

    public Credenciamento nomeCompleto(String nomeCompleto) {
<span class="fc" id="L157">        this.nomeCompleto = nomeCompleto;</span>
<span class="fc" id="L158">        return this;</span>
    }

    public void setNomeCompleto(String nomeCompleto) {
<span class="fc" id="L162">        this.nomeCompleto = nomeCompleto;</span>
<span class="fc" id="L163">    }</span>

    public String getNomeResumido() {
<span class="fc" id="L166">        return nomeResumido;</span>
    }

    public Credenciamento nomeResumido(String nomeResumido) {
<span class="fc" id="L170">        this.nomeResumido = nomeResumido;</span>
<span class="fc" id="L171">        return this;</span>
    }

    public void setNomeResumido(String nomeResumido) {
<span class="fc" id="L175">        this.nomeResumido = nomeResumido;</span>
<span class="fc" id="L176">    }</span>

    public String getEmail() {
<span class="fc" id="L179">        return email;</span>
    }

    public Credenciamento email(String email) {
<span class="fc" id="L183">        this.email = email;</span>
<span class="fc" id="L184">        return this;</span>
    }

    public void setEmail(String email) {
<span class="fc" id="L188">        this.email = email;</span>
<span class="fc" id="L189">    }</span>

    public String getFuncao() {
<span class="fc" id="L192">        return funcao;</span>
    }

    public Credenciamento funcao(String funcao) {
<span class="fc" id="L196">        this.funcao = funcao;</span>
<span class="fc" id="L197">        return this;</span>
    }

    public void setFuncao(String funcao) {
<span class="fc" id="L201">        this.funcao = funcao;</span>
<span class="fc" id="L202">    }</span>

    public StatusCredenciamento getStatusCredenciamento() {
<span class="fc" id="L205">        return statusCredenciamento;</span>
    }

    public Credenciamento statusCredenciamento(StatusCredenciamento statusCredenciamento) {
<span class="fc" id="L209">        this.statusCredenciamento = statusCredenciamento;</span>
<span class="fc" id="L210">        return this;</span>
    }

    public void setStatusCredenciamento(StatusCredenciamento statusCredenciamento) {
<span class="fc" id="L214">        this.statusCredenciamento = statusCredenciamento;</span>
<span class="fc" id="L215">    }</span>

    public String getCep() {
<span class="fc" id="L218">        return cep;</span>
    }

    public Credenciamento cep(String cep) {
<span class="fc" id="L222">        this.cep = cep;</span>
<span class="fc" id="L223">        return this;</span>
    }

    public void setCep(String cep) {
<span class="fc" id="L227">        this.cep = cep;</span>
<span class="fc" id="L228">    }</span>

    public String getRua() {
<span class="fc" id="L231">        return rua;</span>
    }

    public Credenciamento rua(String rua) {
<span class="fc" id="L235">        this.rua = rua;</span>
<span class="fc" id="L236">        return this;</span>
    }

    public void setRua(String rua) {
<span class="fc" id="L240">        this.rua = rua;</span>
<span class="fc" id="L241">    }</span>

    public String getNumero() {
<span class="fc" id="L244">        return numero;</span>
    }

    public Credenciamento numero(String numero) {
<span class="fc" id="L248">        this.numero = numero;</span>
<span class="fc" id="L249">        return this;</span>
    }

    public void setNumero(String numero) {
<span class="fc" id="L253">        this.numero = numero;</span>
<span class="fc" id="L254">    }</span>

    public String getComplemento() {
<span class="fc" id="L257">        return complemento;</span>
    }

    public Credenciamento complemento(String complemento) {
<span class="fc" id="L261">        this.complemento = complemento;</span>
<span class="fc" id="L262">        return this;</span>
    }

    public void setComplemento(String complemento) {
<span class="fc" id="L266">        this.complemento = complemento;</span>
<span class="fc" id="L267">    }</span>

    public String getCidade() {
<span class="fc" id="L270">        return cidade;</span>
    }

    public Credenciamento cidade(String cidade) {
<span class="fc" id="L274">        this.cidade = cidade;</span>
<span class="fc" id="L275">        return this;</span>
    }

    public void setCidade(String cidade) {
<span class="fc" id="L279">        this.cidade = cidade;</span>
<span class="fc" id="L280">    }</span>

    public String getUf() {
<span class="fc" id="L283">        return uf;</span>
    }

    public Credenciamento uf(String uf) {
<span class="fc" id="L287">        this.uf = uf;</span>
<span class="fc" id="L288">        return this;</span>
    }

    public void setUf(String uf) {
<span class="fc" id="L292">        this.uf = uf;</span>
<span class="fc" id="L293">    }</span>

    public String getTelefoneResidencial() {
<span class="fc" id="L296">        return telefoneResidencial;</span>
    }

    public Credenciamento telefoneResidencial(String telefoneResidencial) {
<span class="fc" id="L300">        this.telefoneResidencial = telefoneResidencial;</span>
<span class="fc" id="L301">        return this;</span>
    }

    public void setTelefoneResidencial(String telefoneResidencial) {
<span class="fc" id="L305">        this.telefoneResidencial = telefoneResidencial;</span>
<span class="fc" id="L306">    }</span>

    public String getCelular() {
<span class="fc" id="L309">        return celular;</span>
    }

    public Credenciamento celular(String celular) {
<span class="fc" id="L313">        this.celular = celular;</span>
<span class="fc" id="L314">        return this;</span>
    }

    public void setCelular(String celular) {
<span class="fc" id="L318">        this.celular = celular;</span>
<span class="fc" id="L319">    }</span>

    public String getWhatsApp() {
<span class="fc" id="L322">        return whatsApp;</span>
    }

    public Credenciamento whatsApp(String whatsApp) {
<span class="fc" id="L326">        this.whatsApp = whatsApp;</span>
<span class="fc" id="L327">        return this;</span>
    }

    public void setWhatsApp(String whatsApp) {
<span class="fc" id="L331">        this.whatsApp = whatsApp;</span>
<span class="fc" id="L332">    }</span>

    public String getNomeEmpresa() {
<span class="fc" id="L335">        return nomeEmpresa;</span>
    }

    public Credenciamento nomeEmpresa(String nomeEmpresa) {
<span class="fc" id="L339">        this.nomeEmpresa = nomeEmpresa;</span>
<span class="fc" id="L340">        return this;</span>
    }

    public void setNomeEmpresa(String nomeEmpresa) {
<span class="fc" id="L344">        this.nomeEmpresa = nomeEmpresa;</span>
<span class="fc" id="L345">    }</span>

    public String getCnpj() {
<span class="fc" id="L348">        return cnpj;</span>
    }

    public Credenciamento cnpj(String cnpj) {
<span class="fc" id="L352">        this.cnpj = cnpj;</span>
<span class="fc" id="L353">        return this;</span>
    }

    public void setCnpj(String cnpj) {
<span class="fc" id="L357">        this.cnpj = cnpj;</span>
<span class="fc" id="L358">    }</span>

    public String getCepEmpresa() {
<span class="fc" id="L361">        return cepEmpresa;</span>
    }

    public Credenciamento cepEmpresa(String cepEmpresa) {
<span class="fc" id="L365">        this.cepEmpresa = cepEmpresa;</span>
<span class="fc" id="L366">        return this;</span>
    }

    public void setCepEmpresa(String cepEmpresa) {
<span class="fc" id="L370">        this.cepEmpresa = cepEmpresa;</span>
<span class="fc" id="L371">    }</span>

    public String getEnderecoSede() {
<span class="fc" id="L374">        return enderecoSede;</span>
    }

    public Credenciamento enderecoSede(String enderecoSede) {
<span class="fc" id="L378">        this.enderecoSede = enderecoSede;</span>
<span class="fc" id="L379">        return this;</span>
    }

    public void setEnderecoSede(String enderecoSede) {
<span class="fc" id="L383">        this.enderecoSede = enderecoSede;</span>
<span class="fc" id="L384">    }</span>

    public String getTelefoneSede() {
<span class="fc" id="L387">        return telefoneSede;</span>
    }

    public Credenciamento telefoneSede(String telefoneSede) {
<span class="fc" id="L391">        this.telefoneSede = telefoneSede;</span>
<span class="fc" id="L392">        return this;</span>
    }

    public void setTelefoneSede(String telefoneSede) {
<span class="fc" id="L396">        this.telefoneSede = telefoneSede;</span>
<span class="fc" id="L397">    }</span>

    public TipoEmpresa getTipoEmpresa() {
<span class="fc" id="L400">        return tipoEmpresa;</span>
    }

    public Credenciamento tipoEmpresa(TipoEmpresa tipoEmpresa) {
<span class="fc" id="L404">        this.tipoEmpresa = tipoEmpresa;</span>
<span class="fc" id="L405">        return this;</span>
    }

    public void setTipoEmpresa(TipoEmpresa tipoEmpresa) {
<span class="fc" id="L409">        this.tipoEmpresa = tipoEmpresa;</span>
<span class="fc" id="L410">    }</span>

    public String getEmailInstitucional() {
<span class="fc" id="L413">        return emailInstitucional;</span>
    }

    public Credenciamento emailInstitucional(String emailInstitucional) {
<span class="fc" id="L417">        this.emailInstitucional = emailInstitucional;</span>
<span class="fc" id="L418">        return this;</span>
    }

    public void setEmailInstitucional(String emailInstitucional) {
<span class="fc" id="L422">        this.emailInstitucional = emailInstitucional;</span>
<span class="fc" id="L423">    }</span>

    public String getGerenteSetorOuProfissionalResponsavel() {
<span class="fc" id="L426">        return gerenteSetorOuProfissionalResponsavel;</span>
    }

    public Credenciamento gerenteSetorOuProfissionalResponsavel(String gerenteSetorOuProfissionalResponsavel) {
<span class="fc" id="L430">        this.gerenteSetorOuProfissionalResponsavel = gerenteSetorOuProfissionalResponsavel;</span>
<span class="fc" id="L431">        return this;</span>
    }

    public void setGerenteSetorOuProfissionalResponsavel(String gerenteSetorOuProfissionalResponsavel) {
<span class="fc" id="L435">        this.gerenteSetorOuProfissionalResponsavel = gerenteSetorOuProfissionalResponsavel;</span>
<span class="fc" id="L436">    }</span>

    public String getTelefone() {
<span class="fc" id="L439">        return telefone;</span>
    }

    public Credenciamento telefone(String telefone) {
<span class="fc" id="L443">        this.telefone = telefone;</span>
<span class="fc" id="L444">        return this;</span>
    }

    public void setTelefone(String telefone) {
<span class="fc" id="L448">        this.telefone = telefone;</span>
<span class="fc" id="L449">    }</span>

    public String getIdentidade() {
<span class="fc" id="L452">        return identidade;</span>
    }

    public Credenciamento identidade(String identidade) {
<span class="fc" id="L456">        this.identidade = identidade;</span>
<span class="fc" id="L457">        return this;</span>
    }

    public void setIdentidade(String identidade) {
<span class="fc" id="L461">        this.identidade = identidade;</span>
<span class="fc" id="L462">    }</span>

    public String getOrgaoEmissor() {
<span class="fc" id="L465">        return orgaoEmissor;</span>
    }

    public Credenciamento orgaoEmissor(String orgaoEmissor) {
<span class="fc" id="L469">        this.orgaoEmissor = orgaoEmissor;</span>
<span class="fc" id="L470">        return this;</span>
    }

    public void setOrgaoEmissor(String orgaoEmissor) {
<span class="fc" id="L474">        this.orgaoEmissor = orgaoEmissor;</span>
<span class="fc" id="L475">    }</span>

    public String getCpf() {
<span class="fc" id="L478">        return cpf;</span>
    }

    public Credenciamento cpf(String cpf) {
<span class="fc" id="L482">        this.cpf = cpf;</span>
<span class="fc" id="L483">        return this;</span>
    }

    public void setCpf(String cpf) {
<span class="fc" id="L487">        this.cpf = cpf;</span>
<span class="fc" id="L488">    }</span>

    public String getDrt() {
<span class="fc" id="L491">        return drt;</span>
    }

    public Credenciamento drt(String drt) {
<span class="fc" id="L495">        this.drt = drt;</span>
<span class="fc" id="L496">        return this;</span>
    }

    public void setDrt(String drt) {
<span class="fc" id="L500">        this.drt = drt;</span>
<span class="fc" id="L501">    }</span>

    public byte[] getFoto() {
<span class="fc" id="L504">        return foto;</span>
    }

    public Credenciamento foto(byte[] foto) {
<span class="fc" id="L508">        this.foto = foto;</span>
<span class="fc" id="L509">        return this;</span>
    }

    public void setFoto(byte[] foto) {
<span class="fc" id="L513">        this.foto = foto;</span>
<span class="fc" id="L514">    }</span>

    public String getFotoContentType() {
<span class="fc" id="L517">        return fotoContentType;</span>
    }

    public Credenciamento fotoContentType(String fotoContentType) {
<span class="fc" id="L521">        this.fotoContentType = fotoContentType;</span>
<span class="fc" id="L522">        return this;</span>
    }

    public void setFotoContentType(String fotoContentType) {
<span class="fc" id="L526">        this.fotoContentType = fotoContentType;</span>
<span class="fc" id="L527">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L531" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L532">            return true;</span>
        }
<span class="pc bpc" id="L534" title="1 of 4 branches missed.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L535">            return false;</span>
        }
<span class="fc" id="L537">        Credenciamento credenciamento = (Credenciamento) o;</span>
<span class="pc bpc" id="L538" title="3 of 4 branches missed.">        if (credenciamento.id == null || id == null) {</span>
<span class="fc" id="L539">            return false;</span>
        }
<span class="nc" id="L541">        return Objects.equals(id, credenciamento.id);</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L546">        return Objects.hashCode(id);</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L551">        return &quot;Credenciamento{&quot; +</span>
            &quot;id=&quot; + id +
            &quot;, nomeCompleto='&quot; + nomeCompleto + &quot;'&quot; +
            &quot;, nomeResumido='&quot; + nomeResumido + &quot;'&quot; +
            &quot;, email='&quot; + email + &quot;'&quot; +
            &quot;, funcao='&quot; + funcao + &quot;'&quot; +
            &quot;, statusCredenciamento='&quot; + statusCredenciamento + &quot;'&quot; +
            &quot;, cep='&quot; + cep + &quot;'&quot; +
            &quot;, rua='&quot; + rua + &quot;'&quot; +
            &quot;, numero='&quot; + numero + &quot;'&quot; +
            &quot;, complemento='&quot; + complemento + &quot;'&quot; +
            &quot;, cidade='&quot; + cidade + &quot;'&quot; +
            &quot;, uf='&quot; + uf + &quot;'&quot; +
            &quot;, telefoneResidencial='&quot; + telefoneResidencial + &quot;'&quot; +
            &quot;, celular='&quot; + celular + &quot;'&quot; +
            &quot;, whatsApp='&quot; + whatsApp + &quot;'&quot; +
            &quot;, nomeEmpresa='&quot; + nomeEmpresa + &quot;'&quot; +
            &quot;, cnpj='&quot; + cnpj + &quot;'&quot; +
            &quot;, cepEmpresa='&quot; + cepEmpresa + &quot;'&quot; +
            &quot;, enderecoSede='&quot; + enderecoSede + &quot;'&quot; +
            &quot;, telefoneSede='&quot; + telefoneSede + &quot;'&quot; +
            &quot;, tipoEmpresa='&quot; + tipoEmpresa + &quot;'&quot; +
            &quot;, emailInstitucional='&quot; + emailInstitucional + &quot;'&quot; +
            &quot;, gerenteSetorOuProfissionalResponsavel='&quot; + gerenteSetorOuProfissionalResponsavel + &quot;'&quot; +
            &quot;, telefone='&quot; + telefone + &quot;'&quot; +
            &quot;, identidade='&quot; + identidade + &quot;'&quot; +
            &quot;, orgaoEmissor='&quot; + orgaoEmissor + &quot;'&quot; +
            &quot;, cpf='&quot; + cpf + &quot;'&quot; +
            &quot;, drt='&quot; + drt + &quot;'&quot; +
            &quot;, foto='&quot; + foto + &quot;'&quot; +
            &quot;, fotoContentType='&quot; + fotoContentType + &quot;'&quot; +
            '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>